﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>

  <asp:Content runat="server" ID="Content1" ContentPlaceHolderID="MainContent">
     
    <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True"  ClientIDMode="Static">
        <ClientSideEvents TemplateRefresh="tmplrefresh" />
        <Columns>
            <ej:Column HeaderText="TemplateColumn" Template="True" TemplateID="#columnTemplate" TextAlign="Center" Width="70" />
            <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
            <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="75" />
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" Width="75" />
            <ej:Column Field="ShipCity" HeaderText="Ship City" Width="75" />
        </Columns>
    </ej:Grid>

      <script type="text/x-jsrender" id="columnTemplate">  
          <%--render template column--%>
          <input type="text" id={{:EmployeeID}} class="template" />  
      </script>
  

    <script type="text/javascript">
        function tmplrefresh(e) {

            // render timepicker
            $(e.cell).find('.template').ejTimePicker({
                width: "100%",
                create: "onCreate"
            });
        }
        function onCreate(e)
        {
            $(this.element).val("");
        }
    </script>

</asp:Content>